#include<reg51.h>
int i;				//Объявляем переменную-счетчик
void Gorit (void)
{
P1=0;
}
void NeGorit (void)
{
P1=0xff;
}
void main (void)
{
for (;;)			
{
for (i=1;i<256;i++)
Gorit();                        //Зажигаем светодиод
for (i=1;i<250;i++)		
NeGorit();                      //Гасим светодиод
}
} 


